## edu.msu.cme.rdp.classifier.train
Class TreeFactoryTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              edu.msu.cme.rdp.classifier.train.TreeFactoryTest

All Implemented Interfaces:
  junit.framework.Test

    public class TreeFactoryTest

extends junit.framework.TestCase

A test class for TreeFactory.

Constructor Summary
`TreeFactoryTest(java.lang.String testName)`

Method Summary
`static void` `main(java.lang.String[] args)`
`static junit.framework.Test` `suite()`
`void` `testAddSequence()` Test of addSequence method, of class edu.msu.cme.rdp.classifier.train.TreeFactory.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeFactoryTest

    public TreeFactoryTest(java.lang.String testName)

Method Detail

### main

    public static void main(java.lang.String[] args)

### testAddSequence

    public void testAddSequence()
                         throws java.io.IOException

  Test of addSequence method, of class edu.msu.cme.rdp.classifier.train.TreeFactory.

  Throws:
    `java.io.IOException`

### suite

    public static junit.framework.Test suite()